package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketCodeLog;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketCodeLogMapper")
public interface MarketCodeLogMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketCodeLog record);

    MarketCodeLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketCodeLog record);

    List<MarketCodeLog> queryAllMarketCodeLog(MarketCodeLog record);

    List<MarketCodeLog> queryMarketCodeLogByPage(Map<String, Object> parameter);

    int delete(MarketCodeLog record);

    MarketCodeLog queryMarketCodeLog(MarketCodeLog record);

    List<MarketCodeLog> query(MarketCodeLog record);
}

